.site-inner>.wrap {
  max-width: 100%;
}


h3 {
  font-size: 30px;
}



#main-court {
  margin-top: 30px;
  max-width: 750px;
}

#border {
  background: #1b4d2d;
  aspect-ratio: 728 / 424;
  height: 100%;
  width: 100%;
  position: relative;
  
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  transition: .5s;
}

#border::before {
  content: "Border";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: white;
  font-size: 18px;
  text-align: center;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  z-index: 1;
  transition: .5s;
  opacity: 0;
  pointer-events: none;
  padding: 10px;
  line-height: 1;
  text-shadow: #000000b0 1px 0 10px;
}

#border:hover::before {
  opacity: 1;
}

#court {
  aspect-ratio: 44 / 20;
  width: 100%;
  background: #00517f;
  max-height: 80%;
  max-width: 80%;
  border: 5px solid white;
  z-index: 2;
  
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  transition: .5s;
}



#court::before {
  content: "Court";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: white;
  font-size: 18px;
  text-align: center;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  z-index: 3;
  transition: .5s;
  opacity: 0;
  pointer-events: none;
  padding: 10px;
  line-height: 1;
  text-shadow: #000000b0 1px 0 10px;
}

#court:hover::before {
  opacity: 1;
}

#court::after {
  content: "";
  height: 3px;
  width: 100%;
  background: white;
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
  z-index: 1;
}

#net-zone {
  aspect-ratio: 14 / 20;
  height: 100%;
  border-inline: 3px solid white;
  
  background: #73292f;
  z-index: 3;
  position: relative;
  transition: .5s;
}

#net-zone::before {
  content: "Non-Volley Zone";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: white;
  font-size: 18px;
  text-align: center;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  z-index: 5;
  transition: .5s;
  opacity: 0;
  pointer-events: none;
  padding: 10px;
  line-height: 1;
  text-shadow: #000000b0 1px 0 10px;
}

#net-zone:hover::before {
  opacity: 1;
}

#net-zone::after {
  content: "";
  width: 2px;
  height: 110%;
  background: white;
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 10;
  transform: translate(-50%, -50%);
  box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.net-circles {
  height: 3%;
  aspect-ratio: 1 / 1;
  border-radius: 100%;
  display: block;
  position: absolute;
  top: -7%;
  z-index: 50;
  background: black;
}

.net-bottom {
  top: initial;
  bottom: -7%;
}

/* color options */

.colors {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 30px;
  margin-block: 30px;
}

.color-column {
  max-width: 350px;
  width: 100%;
  flex-grow: 1;
}

.c-options {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.color-op {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 60px;
}

.color-box {
  height: 50px;
  width: 50px;
  cursor: pointer;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
  margin-bottom: 10px;
  transition: .3s;
}

.color-box:hover {
  transform: scale(1.15)
}

.color-name {
  font-size: 14px;
  text-align: center;
  line-height: 16px;
  margin: 0px;
}



@media(max-width: 1024px) {
  #main-court {
    position: sticky;
    top: 0px;
  }
  
  #court::before, #border::before, #net-zone::before {
    font-size: 16px;
    line-height: 16px;
  }
}

@media(max-width: 768px) {
  #main-court {
    max-width: 100%;
  }
}

@media(max-width: 550px) {
  #court::before, #border::before, #net-zone::before {
    font-size: 12px;
    line-height: 12px;
  }
}